Public Support - Support Request #3926

ADTF does not resolve OS environment variables
2018-08-30 22:14 - hidden

Status: Closed
Priority: Normal
Category:
Customer: ACADEMIC Product Issue
Numbers:
Department: LINZ Affected Products: ADTF 3.3.3
Requester's Priority: Normal Platform: Windows 10 64bit
Support Level: 2nd Level Topic: ADTF::Common
Resolution: Solved Issue FAQ Links:
Description
Supportanfrage

Ich glaube zwar das wére eine Frage fir das AADC-Forum, aber ich méchte die Frage nicht 6ffentlich stellen.

Nachdem Windows (10) doch mein absolut vorwiegendes Production-System ist und ADTF darauf schnell installiert war, habe ich
wie bekannt in den letzten Tagen relativ Sinn-befreit ziemlich viel Zeit damit verbraten. (weil der Conf Ed so gar nicht wollte und ich
mit Mario erst heute auf das Win-Prerequisites-Paket zu sprechen kam ("nur" 75.000 Files; Boost alleine > 200.000!))

Ich verstehe aber absolut nicht, was euch auf Windows treibt. Kann mir nicht vorstellen, dass das Tooling besser ist als auf Linux.
Hat das (Windows 7) historische Griinde?

AARCH64 ja, weil Nvidia ARM geht, aber der Aufwand mit Windows?
Warum kein RTOS wie Wind River oder (das mittlerweile proprietare) QNX?

Und die konkrete Frage:
Im AADC LiveVisualization-Projekt gibt es zwar ein default_system_WIN, aber ich sehe da Linux-typische $(ADTF_DIR), oder
missverstehe ich da was mit ADTF_DIR?

Lésung

die Plattformen werden vom Kundenforum definiert, ich lege mich mal weit aus dem Fenster und behaupte, dass die Ingenieure bei
AUDI, VW, BMW, BOSCH, CONTI, etc mindestens zu 90% Windowsrechner haben und da auf diesen die Fahrerassistent
Algorithmen fir ADTF 2 und 3 geschrieben werden, gibt es eben auch diese Plattform.

Und vor allem, weil Vector Devices ausschlieBlich Support fir Windows haben und das die meistverbreiteten Devices fir CAN und
FR zumindest bisher sind.

Ich denke du denkst von der falschen Seite...
ADTF 2 ist ein weit verbreitetes Produkt, seit Jahren im Fahrerassistenzbereich.
ADTF 3 ist der erste nachste Schritt zur neuen Softwarearchitektur.

Der AADC ist ein Bonus, um Studenten in diese Thematik zu bringen.
Aber ADTF wird nicht exklusiv daflir entwickelt.

ADTF lauft auf Windows einwandfrei, zu den AADC Anpassungen fehlt mir jegliche Grundlage.
Vergleiche einfach die Core Lieferung und die spezielle Anpassung im AADC Image...

Und was deine zweite Frage betrifft:
Das ware wirklich was firs AADC Forum, wir kennen dieses Setup nicht, das missen andere supporten.

Sollte deine Frage sein, dass die Environment Variablen im System Editor nicht so aussehen wir du sie erwartest:
Das sind keine OS Variablen, sondern ADTF Variablen, OS unabhéngig.
Der Macro Resolver 18st diese dann entsprechend auf, ADTF_DIR z.B. wird vom Session Manager bereitgestellt, sowie weitere.

Natdrlich kannst du auch ADTF Variablen auf OS Variablen (<os>) mappen.
History

#1 - 2018-08-30 22:18 - hidden

Die Prozentzeichen gingen leider verloren.
...oder missverstehe ich da was mit

SADTF_DIRS%

?

#2 - 2018-08-31 13:52 - hidden
- Project changed from Public Support to 25
- Status changed from New to In Progress

- Topic set to ADTF::Common

#3 - 2018-08-31 14:09 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Gunter,

die Plattformen werden vom Kundenforum definiert, ich lege mich mal weit aus dem Fenster und behaupte, dass die Ingenieure bei AUDI, VW, BMW,
BOSCH, CONTI, etc mindestens zu 90% Windowsrechner haben und da auf diesen die Fahrerassistent Algorithmen fiir ADTF 2 und 3 geschrieben
werden, gibt es eben auch diese Plattform.

Und vor allem, weil Vector Devices ausschlieBlich Support fir Windows haben und das die meistverbreiteten Devices fiir CAN und FR zumindest
bisher sind.

Ich denke du denkst von der falschen Seite...
ADTF 2 ist ein weit verbreitetes Produkt, seit Jahren im Fahrerassistenzbereich.
ADTF 3 ist der erste nachste Schritt zur neuen Softwarearchitektur.

Der AADC ist ein Bonus, um Studenten in diese Thematik zu bringen.
Aber ADTF wird nicht exklusiv daftr entwickelt.

ADTF lauft auf Windows einwandfrei, zu den AADC Anpassungen fehlt mir jegliche Grundlage.

Vergleiche einfach die Core Lieferung und die spezielle Anpassung im AADC Image...

Und was deine zweite Frage betrifft:
Das ware wirklich was fiirs AADC Forum, wir kennen dieses Setup nicht, das missen andere supporten.

Sollte deine Frage sein, dass die Environment Variablen im System Editor nicht so aussehen wir du sie erwartest:

Das sind keine OS Variablen, sondern ADTF Variablen, OS unabhé&ngig.

Der Macro Resolver 16st diese dann entsprechend auf, ADTF_DIR z.B. wird vom Session Manager bereitgestellt, sowie weitere.
Natdrlich kannst du auch ADTF Variablen auf OS Variablen (<os>) mappen.

#4 - 2018-09-03 08:00 - hidden

Danke wiedermal fur deine schnelle und geduldige Antwort!

...Environment Variablen im System Editor ... keine OS Variablen, sondern ADTF Variablen, OS unabhéngig.

Ja, dachte ich mir, aber es gibt sooo viele Varianten. Z.B. das $(var&meta_func_klammern) in Velocity. Genaueres habe ich vergessen.
...mindestens zu 90% Windowsrechner haben ... ADTF 2 ist ein weit verbreitetes Produkt, seit Jahren im Fahrerassistenzbereich.

Habe den historischen Aspekt unterschétzt und kenne die Situation mit Vector / CAN,... nicht.

Dachte kénnte mit dem Jetson TX2 und CAN experimentieren, aber da gibt's kaum Info und jeder kocht sein Stippchen. Aber lauft's nicht sehr

Richtung Linux und schnellem Ethernet?!

Thx & 1G
G.

#5 - 2018-09-03 08:27 - hidden

Hallo Guenter,

Ja, dachte ich mir, aber es gibt sooo viele Varianten. Z.B. das $(var&meta_func_klammern) in Velocity.
Das misstest du im Forum anbringen, das sind spezielle Anpassungen aus dem AADC kommend, hier kann ich dir nicht weiterhelfen.
Am besten ware wohl eine Ubersicht der Variablen aus dem AADC, das wirde ich an deiner Stelle fordern.
Ob es so was bereits gibt, kann ich dir leider nicht sagen.

Dachte kénnte mit dem Jetson TX2 und CAN experimentieren, aber da gibt's kaum Info und jeder kocht sein Stippchen.

Bisher gibt es nur eine BETA Lieferung fir ARM, wir schrauben derzeit an der Release Variante.
Diese kénnte man auch von der Device TB erstellen, dort gibt es eine Socket CAN Implementierung, das misste dann eigentlich gehen.

Aber lauft's nicht sehr Richtung Linux und schnellem Ethernet?!

Hm, Linux per default denke ich nicht, dafiir ist das Thema Open Source bei den OEMs noch zu sehr Grauzone und Windows kann halt wirklich jeder
bedienen...

Es wird wohl mehr und mehr Richtung Cloud und Docker gehen, was dann dahinter 1auft, ist eigentlich egal.

ADTF 3 wird speziell Richtung verteiltes System laufen, d.h. dir ist dann eigentlich wo und v.a. auf was was lauft, du bedienst eigentlich mehr den
Algorithmus als das System an sich.

Damit kannst du passend zu den Uses die richtige Plattform jeweils wahlen, was so oder so immer der Fall sein sollte (Bsp. Wenn es Richtung
Echtzeitanforderung geht, ist natiirlich Windows raus).

Was die Bussysteme betrifft, den CAN wird im Fahrzeug nie entfallen, zumindest als Backup Zugriff.
Ethernet / SOME/IP ist im Kommen, das wird die nachste groBe Vernetzung.

Ob es aber Flexray / CAN-FD komplett ablésen wird, kann man nicht sagen.

Far viele Steuergeréte und Use Cases ist das wohl sicherlich auch zu viel.

LIN und MOST sind imho raus.

#6 - 2018-09-10 15:26 - hidden
- Project changed from 25 to Public Support

- Subject changed from Warum ADTF auf Windows? $LinuxEnvVars in AADC default_system_WIN? to ADTF does not resolve OS environment
variables

- Description updated
- Status changed from Customer Feedback Required to To Be Closed
- Private changed from Yes to No

- Resolution set to Solved Issue

Ich denke hier ist alles geklart, kam auch kein weiteres Feedback, kann daher geschlossen werden

#7 - 2018-09-10 15:26 - hidden
- Status changed from To Be Closed to Closed
